< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package play
  Definition Classes
    hmrc
-  package bootstrap
  Definition Classes
    play
-  package filters
  Definition Classes
    bootstrap
-  package frontend
  Definition Classes
    filters
-  package crypto
  Definition Classes
    frontend
-  package deviceid
  Definition Classes
    frontend
- DefaultFrontendAuditFilter
- FrontendAuditFilter
- HeadersFilter
- SessionTimeoutFilter
- SessionTimeoutFilterConfig

t

uk.gov.hmrc.play.bootstrap.filters.frontend

# FrontendAuditFilter 

###

#### trait FrontendAuditFilter extends AuditFilter

Linear Supertypes
AuditFilter, EssentialFilter, AnyRef, Any
Known Subclasses
DefaultFrontendAuditFilter
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. FrontendAuditFilter
2. AuditFilter
3. EssentialFilter
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract def applicationPort: Option[Int]
2.  abstract def auditConnector: AuditConnector
3.  abstract def controllerNeedsAuditing(controllerName: String): Boolean
4.  abstract def dataEvent(eventType: String, transactionName: String, request: RequestHeader, detail: Map[String, String] = Map())(implicit hc: HeaderCarrier = ...): DataEvent
5.  implicit abstract def ec: ExecutionContext
   Attributes
     protected
6.  abstract def maskedFormFields: Seq[String]
7.  implicit abstract def mat: Materializer

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(nextFilter: EssentialAction): EssentialAction
   Definition Classes
     FrontendAuditFilter → EssentialFilter
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def asJava: EssentialFilter
   Definition Classes
     EssentialFilter
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
11.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  val maxBodySize: Int
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def needsAuditing(request: RequestHeader): Boolean
    Attributes
      protected
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  def onCompleteWithInput(loggingContext: String, next: Accumulator[ByteString, Result], handler: (String, Try[Result]) ⇒ (String) ⇒ Unit)(implicit ec: ExecutionContext): Accumulator[ByteString, Result]
    Attributes
      protected
20.  val requestReceived: String
21.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
22.  def toString(): String
    Definition Classes
      AnyRef → Any
23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
24.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
25.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from AuditFilter

### Inherited from EssentialFilter

### Inherited from AnyRef

### Inherited from Any

### Ungrouped